/**
 * Test for render sass.
 * Runs with nodeunit.
 */

"use strict";

var renderSass = require('../lib/render_sass'),
    path = require('path');

var basedir = path.resolve(__dirname, '..'),
    tmpDir = path.resolve(basedir, 'tmp');

exports['Do render.'] = function (test) {
    var dest = path.resolve(tmpDir, 'foo/bar/testing-module.css');
    renderSass('@import "mock-module.scss";@include my-style-module(#CDE);', dest, {
        includePaths: path.resolve(basedir, 'docs/mockups')
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};