#!/usr/bin/env node

/**
 * @file Test this project.
 */

"use strict";

var runNodeunit = require('apeman-dev-commons-testing/lib/run_nodeunit'),
    path = require('path');

var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

runNodeunit([
    '*_test.js',
    'test/*_test.js',
    'test/**/*_test.js'
], {
    reporter: 'default'
}, function () {

});